]> git.pld-linux.org Git - packages/rpm.git/blob - rpm.spec
- updated perl-macros patch to handle different forms of "require version" deps
[packages/rpm.git] / rpm.spec
1 #
2 # TODO:
3 # - check if we want shell autodeps: Requires: executable(ln) executable(mv)
4 # - %{_arch} = i686 not as used to be i386:
5 #   5.0.2: rpm -E '%_target_base_arch %_arch'
6 #          i386 i686
7 #   4.4.9: rpm -E '%_target_base_arch %_arch'
8 #          i386 i386
9 # - python(abi) cap is not provided automatically because /usr/lib*/libpython2*.so.*
10 #   matches ELF first
11 # - repackaging when lzma is not installed (todo: fix digest signature of header)
12 #   rpmbuild computes digest when writing package to temporary file, then adds a few
13 #   tags (incl. digest) and writes whole package to destination file;
14 #   repackaging uses unchanged "immutable header" image from original rpm, also
15 #   preserving payload format and compressor from original rpm, _not_ current settings
16 # - TODO: add macros for some ppc, mipsel, alpha and sparc
17 # - uppackaged list:
18 #   /usr/lib/rpm/http.req
19 #   /usr/lib/rpm/install-sh
20 #   /usr/lib/rpm/mono-find-provides
21 #   /usr/lib/rpm/mono-find-requires
22 #   /usr/lib/rpm/osgideps.pl
23 #   /usr/lib/rpm/perldeps.pl
24 #   /usr/lib/rpm/vcheck
25 #   /usr/share/man/man8/rpmconstant.8
26 #
27 # Conditional build:
28 %bcond_with     static          # build static rpm+rpmi
29 %bcond_with     autoreqdep      # autogenerate package name deps in addition to sonames/perl(X)
30 %bcond_without  python          # don't build python bindings
31 %bcond_without  selinux         # build without selinux support
32 %bcond_without  suggest_tags    # build without Suggest tag (bootstrapping)
33 %bcond_with     neon            # build with HTTP/WebDAV support (neon library)
34 %bcond_without  db              # BerkeleyDB
35 %bcond_with     sqlite          # build with SQLite support
36 %bcond_with     sqlite_dbapi    # default database backend is sqlite
37 %bcond_without  system_lua              # use system lua
38 # force_cc              - force using __cc other than "%{_target_cpu}-pld-linux-gcc"
39 # force_cxx             - force using __cxx other than "%{_target_cpu}-pld-linux-g++"
40 # force_cpp             - force using __cpp other than "%{_target_cpu}-pld-linux-gcc -E"
41 #
42 %if %{with sqlite_dbapi}
43 %define with_sqlite     1
44 %endif
45
46 %if %{without db} && %{without sqlite}
47 %{error:Need db or sqlite}
48 ERROR
49 %endif
50
51 #
52 # versions of required libraries
53 %define reqdb_ver       4.6.18
54 %define reqpopt_ver     1.10.8
55 %define beecrypt_ver    2:4.1.2-4
56 %define sover   5.0
57 Summary:        RPM Package Manager
58 Summary(de.UTF-8):      RPM Packet-Manager
59 Summary(es.UTF-8):      Gestor de paquetes RPM
60 Summary(pl.UTF-8):      Aplikacja do zarządzania pakietami RPM
61 Summary(pt_BR.UTF-8):   Gerenciador de pacotes RPM
62 Summary(ru.UTF-8):      Менеджер пакетов от RPM
63 Summary(uk.UTF-8):      Менеджер пакетів від RPM
64 Name:           rpm
65 Version:        5.0.3
66 Release:        0.2
67 License:        LGPL
68 Group:          Base
69 Source0:        http://rpm5.org/files/rpm/rpm-5.0/%{name}-%{version}.tar.gz
70 # Source0-md5:  b3df4e54e84cf3344ce6b76fa2a8d5bf
71 Source1:        %{name}.groups
72 Source2:        %{name}.platform
73 Source3:        %{name}-install-tree
74 Source4:        %{name}-find-spec-bcond
75 Source5:        %{name}-hrmib-cache
76 Source6:        %{name}-groups-po.awk
77 Source7:        %{name}-compress-doc
78 Source8:        %{name}-check-files
79 Source9:        %{name}-php-provides
80 Source10:       %{name}-php-requires
81 Source11:       %{name}.sysinfo
82 Source12:       perl.prov
83 Source13:       %{name}-user_group.sh
84 Source14:       %{name}.sysconfig
85 Source15:       %{name}-macros.java
86 Source16:       %{name}-java-requires
87 # http://svn.pld-linux.org/banner.sh/
88 Source17:       banner.sh
89 Source18:       %{name}-pld.macros
90
91 Source100:      %{name}-macros-athlon
92 Source101:      %{name}-macros-i386
93 Source102:      %{name}-macros-i486
94 Source103:      %{name}-macros-i586
95 Source104:      %{name}-macros-i686
96 Source105:      %{name}-macros-noarch
97 Source106:      %{name}-macros-pentium3
98 Source107:      %{name}-macros-pentium4
99 Source108:      %{name}-macros-ppc
100 Source109:      %{name}-macros-x86_64
101 Source110:      %{name}-macros-ia32e
102 Source111:      %{name}-macros-amd64
103
104 #Patch0:                %{name}-pl.po.patch
105 Patch1:         %{name}-man_pl.patch
106 Patch2:         %{name}-popt-downgrade.patch
107 Patch3:         %{name}-rpmpopt.patch
108 Patch4:         %{name}-perl-macros.patch
109 Patch5:         %{name}-perl-req-perlfile.patch
110 Patch6:         %{name}-noexpand.patch
111 Patch7:         %{name}-scripts-closefds.patch
112 Patch8:         %{name}-php-macros.patch
113 Patch9:         %{name}-gettext-in-header.patch
114 Patch10:        %{name}-compress-doc.patch
115 Patch11:        %{name}-lua.patch
116
117 Patch14:        %{name}-etc_dir.patch
118 Patch16:        %{name}-php-deps.patch
119
120 Patch23:        %{name}-pkgconfigdeps.patch
121
122 Patch26:        %{name}-notsc.patch
123 Patch27:        %{name}-hack-norpmlibdep.patch
124
125 Patch32:        %{name}-pld-autodep.patch
126 Patch34:        %{name}-epoch0.patch
127 Patch35:        %{name}-perl_req-INC_dirs.patch
128 Patch36:        %{name}-debuginfo.patch
129 Patch37:        %{name}-doxygen_hack.patch
130
131 Patch42:        %{name}-old-fileconflicts-behaviour.patch
132
133 Patch46:        %{name}-mono.patch
134 Patch47:        %{name}-javadeps.patch
135
136 Patch52:        %{name}-morearchs.patch
137
138 Patch55:        %{name}-truncate-cvslog.patch
139
140 Patch58:        %{name}-repackage-wo-lzma.patch
141 Patch59:        %{name}-libtool-deps.patch
142
143 Patch61:        %{name}-sparc64.patch
144 URL:            http://rpm5.org/
145 BuildRequires:  autoconf >= 2.60
146 BuildRequires:  automake >= 1.4
147 BuildRequires:  beecrypt-devel >= %{beecrypt_ver}
148 BuildRequires:  bzip2-devel >= 1.0.2-17
149 %{?with_db:BuildRequires:       db-devel >= %{reqdb_ver}}
150 BuildRequires:  elfutils-devel >= 0.108
151 BuildRequires:  gettext-autopoint >= 0.11.4-2
152 BuildRequires:  gettext-devel >= 0.11.4-2
153 BuildRequires:  libmagic-devel
154 %{?with_selinux:BuildRequires:  libselinux-devel >= 1.18}
155 # needed only for AM_PROG_CXX used for CXX substitution in rpm.macros
156 BuildRequires:  libstdc++-devel
157 BuildRequires:  libtool >= 1:1.4.2-9
158 %if %{with neon}
159 BuildRequires:  libxml2-devel
160 BuildRequires:  neon-devel >= 0.25.5
161 %endif
162 BuildRequires:  patch >= 2.2
163 BuildRequires:  popt-devel >= %{reqpopt_ver}
164 %{?with_system_lua:BuildRequires:       lua51-devel >= 5.1.2}
165 %{?with_python:BuildRequires:   python-devel >= 1:2.3}
166 BuildRequires:  python-modules >= 1:2.3
167 BuildRequires:  rpm-perlprov
168 %{?with_python:BuildRequires:   rpm-pythonprov}
169 %{?with_sqlite:BuildRequires:   sqlite3-devel}
170 BuildRequires:  zlib-devel
171 %if %{with static}
172 # Require static library only for static build
173 BuildRequires:  beecrypt-static >= %{beecrypt_ver}
174 BuildRequires:  bzip2-static >= 1.0.2-17
175 %{?with_db:BuildRequires:       db-static >= %{reqdb_ver}}
176 BuildRequires:  elfutils-static
177 BuildRequires:  glibc-static >= 2.2.94
178 BuildRequires:  libmagic-static
179 %{?with_selinux:BuildRequires:  libselinux-static >= 1.18}
180 BuildRequires:  popt-static >= %{reqpopt_ver}
181 BuildRequires:  zlib-static
182 %endif
183 Requires:       %{name}-base = %{version}-%{release}
184 Requires:       %{name}-lib = %{version}-%{release}
185 Requires:       beecrypt >= %{beecrypt_ver}
186 Requires:       popt >= %{reqpopt_ver}
187 %{!?with_static:Obsoletes:      rpm-utils-static}
188 Conflicts:      glibc < 2.2.92
189 # db4.6 poldek needed
190 Conflicts:      poldek < 0.21-0.20070703.00.3
191 BuildRoot:      %{tmpdir}/%{name}-%{version}-root-%(id -u -n)
192
193 %define         _binary_payload         w9.gzdio
194 %define         _noPayloadPrefix        1
195
196 # don't require very fresh rpm.macros to build
197 %define         __gettextize gettextize --copy --force --intl ; cp -f po/Makevars{.template,}
198 %define         find_lang sh ./scripts/find-lang.sh $RPM_BUILD_ROOT
199 %define         ix86    i386 i486 i586 i686 athlon pentium3 pentium4
200 %define         ppc     ppc ppc7400 ppc7450
201 %define         x8664   amd64 ia32e x86_64
202
203 # stabilize new build environment
204 %define         __newcc %{?force_cc}%{!?force_cc:%{_target_cpu}-pld-linux-gcc}
205 %define         __newcxx %{?force_cxx}%{!?force_cxx:%{_target_cpu}-pld-linux-g++}
206 %define         __newcpp %{?force_cpp}%{!?force_cpp:%{_target_cpu}-pld-linux-gcc -E}
207
208 %define         _rpmlibdir /usr/lib/rpm
209 %define         _noautocompressdoc      RPM-GPG-KEY
210
211 %define         specflags       -fno-strict-aliasing
212
213 %description
214 RPM is a powerful package manager, which can be used to build,
215 install, query, verify, update, and uninstall individual software
216 packages. A package consists of an archive of files, and package
217 information, including name, version, and description.
218
219 %description -l de.UTF-8
220 RPM ist ein kräftiger Packet-Manager, der verwendet sein kann zur
221 Installation, Anfrage, Verifizierung, Aktualisierung und
222 Uninstallation individueller Softwarepakete. Ein Paket besteht aus
223 einem Archiv Dateien und Paketinformation, inklusive Name, Version und
224 Beschreibung.
225
226 %description -l es.UTF-8
227 RPM es un poderoso administrador de paquetes, que puede ser usado para
228 construir, instalar, pesquisar, verificar, actualizar y desinstalar
229 paquetes individuales de software. Un paquete consiste en un
230 almacenaje de archivos, y información sobre el paquete, incluyendo
231 nombre, versión y descripción.
232
233 %description -l pl.UTF-8
234 RPM jest doskonałym programem zarządzającym pakietami. Umożliwia on
235 przebudowanie, instalację czy weryfikację dowolnego pakietu.
236 Informacje dotyczące każdego pakietu, takie jak jego opis, lista
237 plików wchodzących w skład pakietu, zależności od innych pakietów, są
238 przechowywane w bazie danych i można je uzyskać za pomocą opcji
239 odpytywania programu rpm.
240
241 %description -l pt_BR.UTF-8
242 RPM é um poderoso gerenciador de pacotes, que pode ser usado para
243 construir, instalar, pesquisar, verificar, atualizar e desinstalar
244 pacotes individuais de software. Um pacote consiste de um conjunto de
245 arquivos e informações adicionais, incluindo nome, versão e descrição
246 do pacote, permissões dos arquivos, etc.
247
248 %description -l ru.UTF-8
249 RPM - это мощный менеджер пакетов, который может быть использован для
250 создания, инсталляции, запросов (query), проверки, обновления и
251 удаления программных пакетов. Пакет состоит из файлового архива и
252 служебной информации, включающей название, версию, описание и другие
253 данные о пакете.
254
255 %description -l uk.UTF-8
256 RPM - це потужний менеджер пакетів, що може бути використаний для
257 створення, інсталяції, запитів (query), перевірки, поновлення та
258 видалення програмних пакетів. Пакет складається з файлового архіву та
259 службової інформації, що містить назву, версію, опис та іншу
260 інформацію про пакет.
261
262 %package base
263 Summary:        RPM base package - scripts used by rpm packages themselves
264 Summary(pl.UTF-8):      Podstawowy pakiet RPM - skrypty używane przez same pakiety rpm
265 Group:          Base
266 Requires:       filesystem
267 Obsoletes:      rpm-scripts
268 Obsoletes:      vserver-rpm
269
270 %description base
271 The RPM base package contains scripts used by rpm packages themselves.
272 These include:
273 - scripts for adding/removing groups and users needed for rpm
274   packages,
275 - banner.sh to display %%banner messages from rpm scriptlets.
276
277 %description base -l pl.UTF-8
278 Pakiet podstawowy RPM zwiera skrypty używane przez same pakiety rpm.
279 Zawiera on:
280 - skrypty dodające/usuwające grupy i użytkowników dla pakietów rpm,
281 - banner.sh do pokazywania komunikatów %%banner dla skryptletów rpm.
282
283 %package lib
284 Summary:        RPMs library
285 Summary(pl.UTF-8):      Biblioteki RPM-a
286 Group:          Libraries
287 Requires:       beecrypt >= %{beecrypt_ver}
288 %{?with_db:Requires:    db >= %{reqdb_ver}}
289 Requires:       libmagic >= 1.15-2
290 %{?with_selinux:Requires:       libselinux >= 1.18}
291 Requires:       popt >= %{reqpopt_ver}
292 %{?with_suggest_tags:Suggests:  lzma}
293 Obsoletes:      rpm-apidocs
294 Obsoletes:      rpm-libs
295 # avoid SEGV caused by mixed db versions
296 Conflicts:      poldek < 0.18.1-16
297
298 %description lib
299 RPMs library.
300
301 %description lib -l pl.UTF-8
302 Biblioteki RPM-a.
303
304 %package devel
305 Summary:        Header files for rpm libraries
306 Summary(de.UTF-8):      Header-Dateien für rpm Libraries
307 Summary(es.UTF-8):      Archivos de inclusión y bibliotecas para programas de manipulación de paquetes rpm
308 Summary(pl.UTF-8):      Pliki nagłówkowe bibliotek rpm
309 Summary(pt_BR.UTF-8):   Arquivos de inclusão e bibliotecas para programas de manipulação de pacotes RPM
310 Summary(ru.UTF-8):      Хедеры и библиотеки для программ, работающих с rpm-пакетами
311 Summary(uk.UTF-8):      Хедери та бібліотеки для програм, що працюють з пакетами rpm
312 Group:          Development/Libraries
313 Requires:       %{name}-lib = %{version}-%{release}
314 Requires:       beecrypt-devel >= %{beecrypt_ver}
315 Requires:       bzip2-devel
316 %{?with_db:Requires:    db-devel >= %{reqdb_ver}}
317 Requires:       elfutils-devel
318 Requires:       libmagic-devel
319 %{?with_selinux:Requires:       libselinux-devel}
320 Requires:       popt-devel >= %{reqpopt_ver}
321 Requires:       zlib-devel
322
323 %description devel
324 The RPM packaging system includes C libraries that make it easy to
325 manipulate RPM packages and databases. They are intended to ease the
326 creation of graphical package managers and other tools that need
327 intimate knowledge of RPM packages. This package contains header files
328 for these libraries.
329
330 %description devel -l de.UTF-8
331 Der RPM-Packensystem enthält eine C-Library, die macht es einfach
332 RPM-Pakete und Dateibanken zu manipulieren. Er eignet sich für
333 Vereinfachung des Schaffens grafischer Paket-Manager und anderer
334 Werkzeuge, die intime Kenntnis von RPM-Paketen brauchen.
335
336 %description devel -l es.UTF-8
337 El sistema de empaquetado RPM incluye una biblioteca C que vuelve
338 fácil la manipulación de paquetes y bases de datos RPM. Su objetivo es
339 facilitar la creación de administradores gráficos de paquetes y otras
340 herramientas que necesiten un conocimiento profundo de paquetes RPM.
341
342 %description devel -l pl.UTF-8
343 System RPM zawiera biblioteki C, które ułatwiają manipulowanie
344 pakietami RPM oraz bazami danych. W zamiarze ma to uprościć tworzenie
345 graficznych programów zarządzających pakietami oraz innych narzędzi,
346 które wymagają szczegółowej wiedzy na temat pakietów RPM. Ten pakiet
347 zawiera pliki nagłówkowe wspomnianych bibliotek.
348
349 %description devel -l pt_BR.UTF-8
350 O sistema de empacotamento RPM inclui uma biblioteca C que torna fácil
351 a manipulação de pacotes e bases de dados RPM. Seu objetivo é
352 facilitar a criação de gerenciadores gráficos de pacotes e outras
353 ferramentas que precisem de conhecimento profundo de pacotes RPM.
354
355 %description devel -l ru.UTF-8
356 Система управления пакетами RPM содержит библиотеку C, которая
357 упрощает манипуляцию пакетами RPM и соответствующими базами данных.
358 Эта библиотека предназначена для облегчения создания графических
359 пакетных менеджеров и других утилит, которым необходимо работать с
360 пакетами RPM.
361
362 %description devel -l uk.UTF-8
363 Система керування пакетами RPM містить бібліотеку C, котра спрощує
364 роботу з пакетами RPM та відповідними базами даних. Ця бібліотека
365 призначена для полегшення створення графічних пакетних менеджерів та
366 інших утиліт, що працюють з пакетами RPM.
367
368 %package static
369 Summary:        RPM static libraries
370 Summary(de.UTF-8):      RPMs statische Libraries
371 Summary(pl.UTF-8):      Biblioteki statyczne RPM-a
372 Summary(pt_BR.UTF-8):   Bibliotecas estáticas para o desenvolvimento de aplicações RPM
373 Summary(ru.UTF-8):      Статическая библиотека для программ, работающих с rpm-пакетами
374 Summary(uk.UTF-8):      Статична бібліотека для програм, що працюють з пакетами rpm
375 Group:          Development/Libraries
376 Requires:       %{name}-devel = %{version}-%{release}
377 Requires:       beecrypt-static >= %{beecrypt_ver}
378 Requires:       bzip2-static
379 %{?with_db:Requires:    db-static >= %{reqdb_ver}}
380 Requires:       elfutils-static
381 Requires:       libmagic-static
382 Requires:       popt-static >= %{reqpopt_ver}
383 Requires:       zlib-static
384
385 %description static
386 RPM static libraries.
387
388 %description static -l de.UTF-8
389 RPMs statische Libraries.
390
391 %description static -l pl.UTF-8
392 Biblioteki statyczne RPM-a.
393
394 %description static -l pt_BR.UTF-8
395 Bibliotecas estáticas para desenvolvimento.
396
397 %description static -l ru.UTF-8
398 Система управления пакетами RPM содержит библиотеку C, которая
399 упрощает манипуляцию пакетами RPM и соответствующими базами данных.
400 Это статическая библиотека RPM.
401
402 %description static -l uk.UTF-8
403 Система керування пакетами RPM містить бібліотеку C, котра спрощує
404 роботу з пакетами RPM та відповідними базами даних. Це статична
405 бібліотека RPM.
406
407 %package utils
408 Summary:        Additional utilities for managing RPM packages and database
409 Summary(de.UTF-8):      Zusatzwerkzeuge für Verwaltung RPM-Pakete und Datenbanken
410 Summary(pl.UTF-8):      Dodatkowe narzędzia do zarządzania bazą RPM-a i pakietami
411 Group:          Applications/File
412 Requires:       %{name} = %{version}-%{release}
413 Requires:       popt >= %{reqpopt_ver}
414 Conflicts:      filesystem-debuginfo < 3.0-16
415
416 %description utils
417 Additional utilities for managing RPM packages and database.
418
419 %description utils -l de.UTF-8
420 Zusatzwerkzeuge für Verwaltung RPM-Pakete und Datenbanken.
421
422 %description utils -l pl.UTF-8
423 Dodatkowe narzędzia do zarządzania bazą RPM-a i pakietami.
424
425 %package utils-perl
426 Summary:        Additional utilities for managing RPM packages and database
427 Summary(de.UTF-8):      Zusatzwerkzeuge für Verwaltung RPM-Pakete und Datenbanken
428 Summary(pl.UTF-8):      Dodatkowe narzędzia do zarządzania bazą RPM-a i pakietami
429 Group:          Applications/File
430 Requires:       %{name}-utils = %{version}-%{release}
431 Requires:       popt >= %{reqpopt_ver}
432
433 %description utils-perl
434 Additional utilities for managing RPM packages and database.
435
436 %description utils-perl -l de.UTF-8
437 Zusatzwerkzeuge für Verwaltung RPM-Pakete und Datenbanken.
438
439 %description utils-perl -l pl.UTF-8
440 Dodatkowe narzędzia do zarządzania bazą RPM-a i pakietami.
441
442 %package utils-static
443 Summary:        Static rpm utilities
444 Summary(pl.UTF-8):      Statyczne narzędzia rpm
445 Group:          Applications/System
446 Requires:       %{name} = %{version}-%{release}
447
448 %description utils-static
449 Static rpm utilities for repairing system in case something with
450 shared libraries used by rpm become broken. Currently it contains rpmi
451 binary, which can be used to install/upgrade/remove packages without
452 using shared libraries (well, in fact with exception of NSS modules).
453
454 %description utils-static -l pl.UTF-8
455 Statyczne narzędzia rpm do naprawy systemu w przypadku zepsucia czegoś
456 związanego z bibliotekami współdzielonymi używanymi przez rpm-a.
457 Aktualnie pakiet zawiera binarkę rpmi, którą można użyć do instalacji,
458 uaktualniania lub usuwania pakietów bez udziału bibliotek statycznych
459 (z wyjątkiem modułów NSS).
460
461 %package build
462 Summary:        Scripts for building binary RPM packages
463 Summary(de.UTF-8):      Scripts fürs Bauen binärer RPM-Pakete
464 Summary(pl.UTF-8):      Skrypty pomocnicze do budowania binarnych RPM-ów
465 Summary(pt_BR.UTF-8):   Scripts e programas executáveis usados para construir pacotes
466 Summary(ru.UTF-8):      Скрипты и утилиты, необходимые для сборки пакетов
467 Summary(uk.UTF-8):      Скрипти та утиліти, необхідні для побудови пакетів
468 Group:          Applications/File
469 Requires(pre):  findutils
470 Requires:       %{name}-build-macros >= 1.433-2
471 Requires:       %{name}-utils = %{version}-%{release}
472 Requires:       /bin/id
473 Requires:       awk
474 Requires:       bzip2
475 Requires:       chrpath >= 0.10-4
476 Requires:       cpio
477 Requires:       diffutils
478 Requires:       elfutils
479 Requires:       file >= 4.17
480 Requires:       fileutils
481 Requires:       findutils
482 %ifarch athlon
483 Requires:       gcc >= 3.0.3
484 %else
485 Requires:       gcc
486 %endif
487 Requires:       glibc-devel
488 Requires:       grep
489 Requires:       gzip
490 Requires:       lzma
491 Requires:       make
492 Requires:       patch
493 Requires:       sed
494 Requires:       sh-utils
495 Requires:       tar
496 Requires:       textutils
497 Provides:       rpmbuild(monoautodeps)
498 Provides:       rpmbuild(noauto) = 3
499 %ifarch %{x8664}
500 Conflicts:      automake < 1:1.7.9-2
501 Conflicts:      libtool < 2:1.5-13
502 %endif
503
504 %description build
505 Scripts for building binary RPM packages.
506
507 %description build -l de.UTF-8
508 Scripts fürs Bauen binärer RPM-Pakete.
509
510 %description build -l pl.UTF-8
511 Skrypty pomocnicze do budowania binarnych RPM-ów.
512
513 %description build -l pt_BR.UTF-8
514 Este pacote contém scripts e programas executáveis que são usados para
515 construir pacotes usando o RPM.
516
517 %description build -l ru.UTF-8
518 Различные вспомогательные скрипты и исполняемые программы, которые
519 используются для сборки RPM'ов.
520
521 %description build -l uk.UTF-8
522 Різноманітні допоміжні скрипти та утиліти, які використовуються для
523 побудови RPM'ів.
524
525 %package javaprov
526 Summary:        Additional utilities for checking Java provides/requires in RPM packages
527 Summary(pl.UTF-8):      Dodatkowe narzędzia do sprawdzania zależności kodu w Javie w pakietach RPM
528 Group:          Applications/File
529 Requires:       %{name} = %{version}-%{release}
530 Requires:       file
531 Requires:       findutils >= 1:4.2.26
532 Requires:       mktemp
533 Requires:       unzip
534
535 %description javaprov
536 Additional utilities for checking Java provides/requires in RPM
537 packages.
538
539 %description javaprov -l pl.UTF-8
540 Dodatkowe narzędzia do sprawdzania zależności kodu w Javie w pakietach
541 RPM.
542
543 %package perlprov
544 Summary:        Additional utilities for checking Perl provides/requires in RPM packages
545 Summary(de.UTF-8):      Zusatzwerkzeuge fürs Nachsehen Perl-Abhängigkeiten in RPM-Paketen
546 Summary(pl.UTF-8):      Dodatkowe narzędzia do sprawdzenia zależności skryptów Perla w pakietach RPM
547 Group:          Applications/File
548 Requires:       %{name} = %{version}-%{release}
549 Requires:       perl-devel
550 Requires:       perl-modules
551
552 %description perlprov
553 Additional utilities for checking Perl provides/requires in RPM
554 packages.
555
556 %description perlprov -l de.UTF-8
557 Zusatzwerkzeuge fürs Nachsehen Perl-Abhängigkeiten in RPM-Paketen.
558
559 %description perlprov -l pl.UTF-8
560 Dodatkowe narzędzia do sprawdzenia zależności skryptów Perla w
561 pakietach RPM.
562
563 %package pythonprov
564 Summary:        Python macros, which simplifies creation of RPM packages with Python software
565 Summary(pl.UTF-8):      Makra ułatwiające tworzenie pakietów RPM z programami napisanymi w Pythonie
566 Group:          Applications/File
567 Requires:       %{name} = %{version}-%{release}
568 Requires:       python
569 Requires:       python-modules
570
571 %description pythonprov
572 Python macros, which simplifies creation of RPM packages with Python
573 software.
574
575 %description pythonprov -l pl.UTF-8
576 Makra ułatwiające tworzenie pakietów RPM z programami napisanymi w
577 Pythonie.
578
579 %package php-pearprov
580 Summary:        Additional utilities for checking PHP PEAR provides/requires in RPM packages
581 Summary(pl.UTF-8):      Dodatkowe narzędzia do sprawdzania zależności skryptów php w RPM
582 Group:          Applications/File
583 Requires:       %{name} = %{version}-%{release}
584 Requires:       sed >= 4.0
585
586 %description php-pearprov
587 Additional utilities for checking PHP PEAR provides/requires in RPM
588 packages.
589
590 %description php-pearprov -l pl.UTF-8
591 Dodatkowe narzędzia do sprawdzenia zależności skryptów PHP PEAR w
592 pakietach RPM.
593
594 %package -n python-rpm
595 Summary:        Python interface to RPM library
596 Summary(pl.UTF-8):      Pythonowy interfejs do biblioteki RPM-a
597 Summary(pt_BR.UTF-8):   Módulo Python para aplicativos que manipulam pacotes RPM
598 Group:          Development/Languages/Python
599 Requires:       %{name} = %{version}-%{release}
600 %pyrequires_eq  python
601 Obsoletes:      rpm-python
602
603 %description -n python-rpm
604 The rpm-python package contains a module which permits applications
605 written in the Python programming language to use the interface
606 supplied by RPM (RPM Package Manager) libraries.
607
608 This package should be installed if you want to develop Python
609 programs that will manipulate RPM packages and databases.
610
611 %description -n python-rpm -l pl.UTF-8
612 Pakiet rpm-python zawiera moduł, który pozwala aplikacjom napisanym w
613 Pythonie na używanie interfejsu dostarczanego przez biblioteki RPM-a.
614
615 Pakiet ten powinien zostać zainstalowany, jeśli chcesz pisać w
616 Pythonie programy manipulujące pakietami i bazami danych rpm.
617
618 %description -n python-rpm -l pt_BR.UTF-8
619 O pacote rpm-python contém um módulo que permite que aplicações
620 escritas em Python utilizem a interface fornecida pelas bibliotecas
621 RPM (RPM Package Manager).
622
623 Esse pacote deve ser instalado se você quiser desenvolver programas em
624 Python para manipular pacotes e bancos de dados RPM.
625
626 %prep
627 %setup -q
628
629 # APPLIED ALREADY? translationproject.org is used now
630 #%%patch0 -p1
631 %patch1 -p1
632 %patch2 -p1
633 %patch3 -p1
634 %patch4 -p1
635 %patch5 -p1
636 %patch6 -p1
637 %patch7 -p1
638 %patch8 -p1
639 %patch9 -p1
640 %patch10 -p1
641 %{?with_system_lua:%patch11 -p1}
642 # CHECK ME - macrofiles: ~/etc could be used
643 #%%patch14 -p1
644 %patch16 -p1
645 echo '%%define  __perl_provides %%{__perl} /usr/lib/rpm/perl.prov' > macros.perl
646 echo '%%define  __perl_requires %%{__perl} /usr/lib/rpm/perl.req' >> macros.perl
647 echo '# obsoleted file' > macros.python
648 echo '%%define  __php_provides  /usr/lib/rpm/php.prov' > macros.php
649 echo '%%define  __php_requires  /usr/lib/rpm/php.req' >> macros.php
650 echo '%%define  __mono_provides /usr/lib/rpm/mono-find-provides' > macros.mono
651 echo '%%define  __mono_requires /usr/lib/rpm/mono-find-requires' >> macros.mono
652 install %{SOURCE9} scripts/php.prov.in
653 install %{SOURCE10} scripts/php.req.in
654 install %{SOURCE12} scripts/perl.prov
655 %patch23 -p1
656
657 %ifarch i386 i486
658 # disable TSC
659 %patch26 -p1
660 %endif
661 %patch27 -p1
662 %patch32 -p1
663 %patch34 -p1
664 %patch35 -p0
665 %patch36 -p1
666 %patch37 -p1
667 %patch42 -p1
668 %patch46 -p1
669 %patch47 -p1
670 # OLD COMMENTED OUT
671 #%%patch52 -p1 -- morearchs (rpmrc patch) adds ppc7400, ppc7400
672 %patch55 -p1
673 %patch58 -p1
674 %patch59 -p1
675 %ifarch sparc64
676 %patch61 -p1
677 %endif
678
679 cd scripts
680 mv -f perl.req perl.req.in
681 mv -f perl.prov perl.prov.in
682 cd ..
683
684 # generate Group translations to *.po
685 awk -f %{SOURCE6} %{SOURCE1}
686
687 # update macros paths
688 #for f in doc{,/ja,/pl}/rpm.8 doc{,/ja,/pl}/rpmbuild.8 ; do
689 #       sed -e 's@lib/rpm/redhat@lib/rpm/pld@g' $f > ${f}.tmp
690 #       mv -f ${f}.tmp $f
691 #done
692
693 %build
694 %{__libtoolize}
695 %{__autopoint}
696 %{__aclocal}
697 %{__autoheader}
698 %{__autoconf}
699 %{__automake}
700
701 # config.guess doesn't handle athlon, so we have to change it by hand.
702 # rpm checks for CPU type at runtime, but it looks better
703 #sed -i -e 's|@host@|%{_target_cpu}-%{_target_vendor}-linux-gnu|' -e 's|@host_cpu@|%{_target_cpu}|' macros.in
704
705 %{?with_system_lua:CPPFLAGS=-I/usr/include/lua51}
706 # pass CC and CXX too in case of building with some older configure macro
707 %configure \
708         CC="%{__newcc}" \
709         CXX="%{__newcxx}" \
710         CPP="%{__newcpp}" \
711         WITH_PERL_VERSION=no \
712         %{?with_autoreqdep:--enable-adding-packages-names-in-autogenerated-dependancies} \
713         --enable-shared \
714         --enable-static \
715         %{?with_python:--with-python=%{py_ver} --with-python-lib-dir=%{py_sitedir}} \
716         %{!?with_python:--without-python} \
717         --with%{!?with_selinux:out}-selinux \
718         --with-libelf \
719         --with-zlib=external \
720         --with-bzip2=external \
721         --with-beecrypt=external \
722         --with-neon=%{?with_neon:external}%{!?with_neon:no} \
723         --with-file=external \
724         --with-popt=external \
725         --with-db=%{?with_db:external}%{!?with_db:no} \
726         --with-sqlite=%{?with_sqlite:external}%{!?with_sqlite:no} \
727         --with-dbapi=%{!?with_sqlite_dbapi:db}%{?with_sqlite_dbapi:sqlite} \
728         --with-lua=%{!?with_system_lua:internal}%{?with_system_lua:external} \
729         --with-pcre=no \
730         --with-keyutils=none \
731         --without-path-versioned \
732         --with-path-macros='%{_rpmlibdir}/macros:%{_rpmlibdir}/macros.pld:%{_rpmlibdir}/macros.build:%{_rpmlibdir}/%%{_target}/macros:%{_sysconfdir}/macros.*:%{_sysconfdir}/macros:%{_sysconfdir}/%%{_target}/macros:~/etc/rpmmacros:~/etc/.rpmmacros:~/.rpmmacros' \
733         --with-bugreport="http://bugs.pld-linux.org/"
734
735 %{__make} \
736         CC="%{__cc}" \
737         CXX="%{__cxx}" \
738         CPP="%{__cpp}"
739
740 %install
741 rm -rf $RPM_BUILD_ROOT
742 install -d $RPM_BUILD_ROOT{/bin,/%{_lib},/etc/sysconfig,%{_sysconfdir}/rpm,/var/lib/banner,/var/cache/hrmib}
743
744 %{__make} install \
745         pkgconfigdir=%{_pkgconfigdir} \
746         DESTDIR=$RPM_BUILD_ROOT
747
748 # install ARCH macros
749 install -d $RPM_BUILD_ROOT%{_rpmlibdir}/noarch-linux
750 install %{SOURCE105} $RPM_BUILD_ROOT%{_rpmlibdir}/noarch-linux/macros
751
752 %ifarch %{ix86}
753 install -d $RPM_BUILD_ROOT%{_rpmlibdir}/{i386,i486,i586,i686,athlon,pentium3,pentium4}-linux
754 install %{SOURCE100} $RPM_BUILD_ROOT%{_rpmlibdir}/athlon-linux/macros
755 install %{SOURCE101} $RPM_BUILD_ROOT%{_rpmlibdir}/i386-linux/macros
756 install %{SOURCE102} $RPM_BUILD_ROOT%{_rpmlibdir}/i486-linux/macros
757 install %{SOURCE103} $RPM_BUILD_ROOT%{_rpmlibdir}/i586-linux/macros
758 install %{SOURCE104} $RPM_BUILD_ROOT%{_rpmlibdir}/i686-linux/macros
759 install %{SOURCE106} $RPM_BUILD_ROOT%{_rpmlibdir}/pentium3-linux/macros
760 install %{SOURCE107} $RPM_BUILD_ROOT%{_rpmlibdir}/pentium4-linux/macros
761 %endif
762
763 %ifarch %{x8664}
764 install -d $RPM_BUILD_ROOT%{_rpmlibdir}/{x86_64,ia32e,amd64}-linux
765 install %{SOURCE109} $RPM_BUILD_ROOT%{_rpmlibdir}/x86_64-linux/macros
766 install %{SOURCE110} $RPM_BUILD_ROOT%{_rpmlibdir}/ia32e-linux/macros
767 install %{SOURCE111} $RPM_BUILD_ROOT%{_rpmlibdir}/amd64-linux/macros
768 %endif
769
770 %ifarch %{ppc}
771 install -d $RPM_BUILD_ROOT%{_rpmlibdir}/ppc-linux
772 install %{SOURCE108} $RPM_BUILD_ROOT%{_rpmlibdir}/ppc-linux/macros
773 %endif
774
775 # first platform file entry can't contain regexps
776 echo "%{_target_cpu}-%{_target_vendor}-linux" > $RPM_BUILD_ROOT%{_sysconfdir}/rpm/platform
777
778 # x86_64 things
779 %ifarch x86_64
780 echo "amd64-[^-]*-linux(-gnu)?" >> $RPM_BUILD_ROOT%{_sysconfdir}/rpm/platform
781 echo "x86_64-[^-]*-linux(-gnu)?" >> $RPM_BUILD_ROOT%{_sysconfdir}/rpm/platform
782 %endif
783 %ifarch amd64
784 echo "amd64-[^-]*-linux(-gnu)?" >> $RPM_BUILD_ROOT%{_sysconfdir}/rpm/platform
785 echo "x86_64-[^-]*-linux(-gnu)?" >> $RPM_BUILD_ROOT%{_sysconfdir}/rpm/platform
786 %endif
787 %ifarch ia32e
788 echo "ia32e-[^-]*-linux(-gnu)?" >> $RPM_BUILD_ROOT%{_sysconfdir}/rpm/platform
789 echo "x86_64-[^-]*-linux(-gnu)?" >> $RPM_BUILD_ROOT%{_sysconfdir}/rpm/platform
790 %endif
791
792 # x86 things
793 %ifarch athlon %{x8664}
794 echo "athlon-[^-]*-linux(-gnu)?" >> $RPM_BUILD_ROOT%{_sysconfdir}/rpm/platform
795 %endif
796 %ifarch pentium4 athlon %{x8664}
797 echo "pentium4-[^-]*-linux(-gnu)?" >> $RPM_BUILD_ROOT%{_sysconfdir}/rpm/platform
798 %endif
799 %ifarch pentium3 pentium4 athlon %{x8664}
800 echo "pentium3-[^-]*-linux(-gnu)?" >> $RPM_BUILD_ROOT%{_sysconfdir}/rpm/platform
801 %endif
802 %ifarch i686 pentium3 pentium4 athlon %{x8664}
803 echo "i686-[^-]*-linux(-gnu)?" >> $RPM_BUILD_ROOT%{_sysconfdir}/rpm/platform
804 %endif
805 %ifarch i586 i686 pentium3 pentium4 athlon %{x8664}
806 echo "i586-[^-]*-linux(-gnu)?" >> $RPM_BUILD_ROOT%{_sysconfdir}/rpm/platform
807 %endif
808 %ifarch i486 i586 i686 pentium3 pentium4 athlon %{x8664}
809 echo "i486-[^-]*-linux(-gnu)?" >> $RPM_BUILD_ROOT%{_sysconfdir}/rpm/platform
810 %endif
811 %ifarch %{ix86} %{x8664}
812 echo "i386-[^-]*-linux(-gnu)?" >> $RPM_BUILD_ROOT%{_sysconfdir}/rpm/platform
813 %endif
814
815 %ifarch alpha
816 echo "alpha-[^-]*-linux(-gnu)?" >> $RPM_BUILD_ROOT%{_sysconfdir}/rpm/platform
817 %endif
818
819 %ifarch ia64
820 echo "ia64-[^-]*-linux(-gnu)?" >> $RPM_BUILD_ROOT%{_sysconfdir}/rpm/platform
821 %endif
822
823 %ifarch ppc64
824 echo "powerpc64-[^-]*-linux(-gnu)?" >> $RPM_BUILD_ROOT%{_sysconfdir}/rpm/platform
825 echo "ppc64-[^-]*-linux(-gnu)?" >> $RPM_BUILD_ROOT%{_sysconfdir}/rpm/platform
826 %endif
827 %ifarch %{ppc} ppc64
828 echo "powerpc-[^-]*-linux(-gnu)?" >> $RPM_BUILD_ROOT%{_sysconfdir}/rpm/platform
829 echo "ppc-[^-]*-linux(-gnu)?" >> $RPM_BUILD_ROOT%{_sysconfdir}/rpm/platform
830 %endif
831
832 %ifarch s390x
833 echo "s390x-[^-]*-linux(-gnu)?" >> $RPM_BUILD_ROOT%{_sysconfdir}/rpm/platform
834 %endif
835 %ifarch s390 s390x
836 echo "s390-[^-]*-linux(-gnu)?" >> $RPM_BUILD_ROOT%{_sysconfdir}/rpm/platform
837 %endif
838
839 %ifarch sparc64
840 echo "sparc64-[^-]*-linux(-gnu)?" >> $RPM_BUILD_ROOT%{_sysconfdir}/rpm/platform
841 echo "sparcv8-[^-]*-linux(-gnu)?" >> $RPM_BUILD_ROOT%{_sysconfdir}/rpm/platform
842 echo "sparcv9-[^-]*-linux(-gnu)?" >> $RPM_BUILD_ROOT%{_sysconfdir}/rpm/platform
843 %endif
844 %ifarch sparcv9
845 echo "sparcv8-[^-]*-linux(-gnu)?" >> $RPM_BUILD_ROOT%{_sysconfdir}/rpm/platform
846 echo "sparcv9-[^-]*-linux(-gnu)?" >> $RPM_BUILD_ROOT%{_sysconfdir}/rpm/platform
847 %endif
848 %ifarch sparc sparcv9 sparc64
849 echo "sparc-[^-]*-linux(-gnu)?" >> $RPM_BUILD_ROOT%{_sysconfdir}/rpm/platform
850 %endif
851
852 # noarch
853 echo "noarch-[^-]*-.*" >> $RPM_BUILD_ROOT%{_sysconfdir}/rpm/platform
854
855 %ifarch %{ppc}
856 #sed -e '/_target_platform/s/[%]{_target_cpu}/ppc/' \
857 #       -i $RPM_BUILD_ROOT%{_rpmlibdir}/ppc74[05]0-linux/macros
858 %endif
859
860 rm $RPM_BUILD_ROOT%{_rpmlibdir}/vpkg-provides*
861 rm $RPM_BUILD_ROOT%{_rpmlibdir}/find-{prov,req}.pl
862 rm $RPM_BUILD_ROOT%{_rpmlibdir}/find-{provides,requires}.perl
863 rm $RPM_BUILD_ROOT%{_rpmlibdir}/find-lang.sh
864
865 # not installed since 4.4.8 (-tools-perl subpackage)
866 install scripts/rpmdiff scripts/rpmdiff.cgi $RPM_BUILD_ROOT%{_rpmlibdir}
867
868 install macros.perl     $RPM_BUILD_ROOT%{_rpmlibdir}/macros.perl
869 install macros.python   $RPM_BUILD_ROOT%{_rpmlibdir}/macros.python
870 install macros.php      $RPM_BUILD_ROOT%{_rpmlibdir}/macros.php
871 install macros.mono     $RPM_BUILD_ROOT%{_rpmlibdir}/macros.mono
872 install %{SOURCE15}     $RPM_BUILD_ROOT%{_rpmlibdir}/macros.java
873 install %{SOURCE18}     $RPM_BUILD_ROOT%{_rpmlibdir}/macros.pld
874
875 install %{SOURCE1} doc/manual/groups
876 install %{SOURCE3} $RPM_BUILD_ROOT%{_rpmlibdir}/install-build-tree
877 install %{SOURCE4} $RPM_BUILD_ROOT%{_rpmlibdir}/find-spec-bcond
878 install %{SOURCE7} $RPM_BUILD_ROOT%{_rpmlibdir}/compress-doc
879 install %{SOURCE8} $RPM_BUILD_ROOT%{_rpmlibdir}/check-files
880 install %{SOURCE13} $RPM_BUILD_ROOT%{_rpmlibdir}/user_group.sh
881 install %{SOURCE16} $RPM_BUILD_ROOT%{_rpmlibdir}/java-find-requires
882 install scripts/find-php*       $RPM_BUILD_ROOT%{_rpmlibdir}
883 install scripts/php.{prov,req}  $RPM_BUILD_ROOT%{_rpmlibdir}
884 install %{SOURCE5} $RPM_BUILD_ROOT%{_rpmlibdir}/hrmib-cache
885 install %{SOURCE14} $RPM_BUILD_ROOT/etc/sysconfig/rpm
886
887 install %{SOURCE17} $RPM_BUILD_ROOT%{_bindir}/banner.sh
888
889 install -d $RPM_BUILD_ROOT%{_sysconfdir}/rpm/sysinfo
890
891 touch $RPM_BUILD_ROOT%{_sysconfdir}/rpm/sysinfo/Conflictname
892 touch $RPM_BUILD_ROOT%{_sysconfdir}/rpm/sysinfo/Dirnames
893 install %{SOURCE11} $RPM_BUILD_ROOT%{_sysconfdir}/rpm/sysinfo/Filelinktos
894 touch $RPM_BUILD_ROOT%{_sysconfdir}/rpm/sysinfo/Obsoletename
895 touch $RPM_BUILD_ROOT%{_sysconfdir}/rpm/sysinfo/Providename
896 touch $RPM_BUILD_ROOT%{_sysconfdir}/rpm/sysinfo/Requirename
897
898 cat > $RPM_BUILD_ROOT%{_sysconfdir}/rpm/macros <<EOF
899 # customized rpm macros - global for host
900 #
901 #%%_install_langs pl_PL:en_US
902 %%distribution PLD
903 #
904 # remove or replace with file_contexts path if you want to use custom
905 # SELinux file contexts policy instead of one stored in packages payload
906 %%_install_file_context_path    %%{nil}
907 %%_verify_file_context_path     %%{nil}
908
909 # If non-zero, all erasures will be automagically repackaged.
910 #%%_repackage_all_erasures    1
911 EOF
912
913 cat > $RPM_BUILD_ROOT%{_sysconfdir}/rpm/noautoprovfiles <<EOF
914 # global list of files (regexps) which don't generate Provides
915 EOF
916 cat > $RPM_BUILD_ROOT%{_sysconfdir}/rpm/noautoprov <<EOF
917 # global list of script capabilities (regexps) not to be used in Provides
918 EOF
919 cat > $RPM_BUILD_ROOT%{_sysconfdir}/rpm/noautoreqfiles <<EOF
920 # global list of files (regexps) which don't generate Requires
921 ^%{_examplesdir}/
922 ^%{_docdir}/
923 EOF
924 cat > $RPM_BUILD_ROOT%{_sysconfdir}/rpm/noautoreq <<EOF
925 # global list of script capabilities (regexps) not to be used in Requires
926 EOF
927 cat > $RPM_BUILD_ROOT%{_sysconfdir}/rpm/noautoreqdep <<EOF
928 # global list of capabilities (SONAME, perl(module), php(module) regexps)
929 # which don't generate dependencies on package NAMES
930 # -- OpenGL implementation
931 ^libGL.so.1
932 ^libGLU.so.1
933 ^libOSMesa.so
934 # -- Glide
935 ^libglide3.so.3
936 # -- mozilla
937 ^libgtkmozembed.so
938 ^libgtksuperwin.so
939 ^libxpcom.so
940 # -- X11 implementation
941 ^libFS.so
942 ^libI810XvMC.so
943 ^libICE.so
944 ^libSM.so
945 ^libX11.so
946 ^libXRes.so
947 ^libXTrap.so
948 ^libXaw.so
949 ^libXcomposite.so
950 ^libXcursor.so
951 ^libXdamage.so
952 ^libXdmcp.so
953 ^libXevie.so
954 ^libXext.so
955 ^libXfixes.so
956 ^libXfont.so
957 ^libXfontcache.so
958 ^libXft.so
959 ^libXi.so
960 ^libXinerama.so
961 ^libXmu.so
962 ^libXmuu.so
963 ^libXp.so
964 ^libXpm.so
965 ^libXrandr.so
966 ^libXrender.so
967 ^libXss.so
968 ^libXt.so
969 ^libXtst.so
970 ^libXv.so
971 ^libXvMC.so
972 ^libXxf86dga.so
973 ^libXxf86misc.so
974 ^libXxf86rush.so
975 ^libXxf86vm.so
976 ^libdps.so
977 ^libdpstk.so
978 ^libfontenc.so
979 ^libpsres.so
980 ^libxkbfile.so
981 ^libxkbui.so
982 # -- fam / gamin
983 ^libfam.so.0
984 EOF
985 cat > $RPM_BUILD_ROOT%{_sysconfdir}/rpm/noautocompressdoc <<EOF
986 # global list of file masks not to be compressed in DOCDIR
987 EOF
988
989 # for rpm -e|-U --repackage
990 install -d $RPM_BUILD_ROOT/var/{spool/repackage,lock/rpm}
991 touch $RPM_BUILD_ROOT/var/lock/rpm/transaction
992
993 # move rpm to /bin
994 mv $RPM_BUILD_ROOT%{_bindir}/rpm $RPM_BUILD_ROOT/bin
995 # move essential libs to /lib (libs that /bin/rpm links to)
996 for a in librpm-%{sover}.so librpmdb-%{sover}.so librpmio-%{sover}.so librpmbuild-%{sover}.so; do
997         mv -f $RPM_BUILD_ROOT%{_libdir}/$a $RPM_BUILD_ROOT/%{_lib}
998         ln -s /%{_lib}/$a $RPM_BUILD_ROOT%{_libdir}/$a
999 done
1000
1001 # Append rpm.platform contents to /usr/lib/rpm/${arch}-linux/macros
1002 for m in $RPM_BUILD_ROOT%{_rpmlibdir}/*/macros ; do
1003         cat %{SOURCE2} | %{__sed} 's#@LIB@#%{_lib}#' >> $m
1004 done
1005 # remove arch dependant macros which have no use on noarch
1006 %{__sed} -i -e '
1007 /{__spec_install_post_strip}/d
1008 /{__spec_install_post_chrpath}/d
1009 /{__spec_install_post_compress_modules}/d
1010 ' $RPM_BUILD_ROOT%{_rpmlibdir}/noarch-linux/macros
1011
1012 # Bourne shell script vs ELF executable linked with rpm,rpmdb,rpmio
1013 mv $RPM_BUILD_ROOT{%{_rpmlibdir},%{_bindir}}/rpm2cpio
1014
1015 %py_ocomp $RPM_BUILD_ROOT%{py_sitedir}
1016 %py_comp $RPM_BUILD_ROOT%{py_sitedir}
1017
1018 rm $RPM_BUILD_ROOT%{py_sitedir}/rpm/*.{la,a,py}
1019
1020 # wrong location, not used anyway
1021 rm $RPM_BUILD_ROOT%{_rpmlibdir}/rpm.{daily,log,xinetd}
1022 # utils dropped in 4.4.8 -- their manuals
1023 rm $RPM_BUILD_ROOT%{_mandir}/{,*/}/man8/rpmgraph.8
1024 # unpackaged in 4.4.9, reasons unknown
1025 rm $RPM_BUILD_ROOT%{_rpmlibdir}/symclash.{sh,py}
1026
1027 %find_lang %{name}
1028
1029 rm -rf manual
1030 cp -a doc/manual manual
1031 rm -f manual/Makefile*
1032
1033 %clean
1034 rm -rf $RPM_BUILD_ROOT
1035
1036 %triggerpostun lib -- %{name}-lib < %{version}
1037 rm -f /var/lib/rpm/__db*
1038
1039 %pretrans
1040 # this needs to be a dir
1041 if [ -f %{_sysconfdir}/rpm/sysinfo ]; then
1042         umask 022
1043         mv -f %{_sysconfdir}/rpm/sysinfo{,.rpmsave}
1044         mkdir %{_sysconfdir}/rpm/sysinfo
1045 fi
1046
1047 %triggerpostun -- %{name} < 4.4.9-44
1048 %{_rpmlibdir}/hrmib-cache
1049
1050 %post   lib -p /sbin/ldconfig
1051 %postun lib -p /sbin/ldconfig
1052
1053 %pretrans build
1054 find %{_rpmlibdir} -name '*-linux' -type l | xargs rm -f
1055
1056 %files -f %{name}.lang
1057 %defattr(644,root,root,755)
1058 %doc CHANGES CREDITS README pubkeys/JBJ-GPG-KEY manual/*
1059
1060 %attr(755,root,root) /bin/rpm
1061 #%attr(755,root,root) %{_bindir}/rpmdb
1062 #%attr(755,root,root) %{_bindir}/rpmquery
1063 #%attr(755,root,root) %{_bindir}/rpmsign
1064 #%attr(755,root,root) %{_bindir}/rpmverify
1065
1066 %dir %{_sysconfdir}/rpm
1067 %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/rpm/macros
1068 %dir %{_sysconfdir}/rpm/sysinfo
1069 # these are ok to be replaced
1070 %config %verify(not md5 mtime size) %{_sysconfdir}/rpm/sysinfo/*
1071 %config %verify(not md5 mtime size) %{_sysconfdir}/rpm/platform
1072
1073
1074 %{_mandir}/man8/rpm.8*
1075 %lang(fr) %{_mandir}/fr/man8/rpm.8*
1076 %lang(ja) %{_mandir}/ja/man8/rpm.8*
1077 %lang(ko) %{_mandir}/ko/man8/rpm.8*
1078 %lang(pl) %{_mandir}/pl/man8/rpm.8*
1079 %lang(ru) %{_mandir}/ru/man8/rpm.8*
1080 %lang(sk) %{_mandir}/sk/man8/rpm.8*
1081
1082 %dir /var/lib/rpm
1083 %dir %attr(700,root,root) /var/spool/repackage
1084 %dir /var/lock/rpm
1085 /var/lock/rpm/transaction
1086
1087 # exported package NVRA (stamped with install tid)
1088 # net-snmp hrSWInstalledName queries, bash-completions
1089 %dir /var/cache/hrmib
1090
1091 #%attr(755,root,root) %{_rpmlibdir}/rpmd
1092 #%{!?with_static:%attr(755,root,root) %{_rpmlibdir}/rpm[eiu]}
1093 #%attr(755,root,root) %{_rpmlibdir}/rpmk
1094 #%attr(755,root,root) %{_rpmlibdir}/rpm[qv]
1095
1096 %{_rpmlibdir}/rpmpopt*
1097 %{_rpmlibdir}/macros
1098 %{_rpmlibdir}/macros.pld
1099
1100 %attr(755,root,root) %{_rpmlibdir}/hrmib-cache
1101
1102 %files base
1103 %defattr(644,root,root,755)
1104 %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/rpm
1105 %dir %{_rpmlibdir}
1106 %attr(755,root,root) %{_bindir}/banner.sh
1107 %attr(755,root,root) %{_rpmlibdir}/user_group.sh
1108 %dir /var/lib/banner
1109
1110 %files lib
1111 %defattr(644,root,root,755)
1112 %attr(755,root,root) /%{_lib}/librpm-%{sover}.so
1113 %attr(755,root,root) /%{_lib}/librpmdb-%{sover}.so
1114 %attr(755,root,root) /%{_lib}/librpmio-%{sover}.so
1115 %attr(755,root,root) /%{_lib}/librpmbuild-%{sover}.so
1116
1117 %files devel
1118 %defattr(644,root,root,755)
1119 %attr(755,root,root) %{_libdir}/librpm.so
1120 %attr(755,root,root) %{_libdir}/librpm-%{sover}.so
1121 %attr(755,root,root) %{_libdir}/librpmbuild.so
1122 %attr(755,root,root) %{_libdir}/librpmbuild-%{sover}.so
1123 %attr(755,root,root) %{_libdir}/librpmconstant.so
1124 %attr(755,root,root) %{_libdir}/librpmconstant-%{sover}.so
1125 %attr(755,root,root) %{_libdir}/librpmdb.so
1126 %attr(755,root,root) %{_libdir}/librpmdb-%{sover}.so
1127 %attr(755,root,root) %{_libdir}/librpmio.so
1128 %attr(755,root,root) %{_libdir}/librpmio-%{sover}.so
1129 %attr(755,root,root) %{_libdir}/librpmmisc.so
1130 %attr(755,root,root) %{_libdir}/librpmmisc-%{sover}.so
1131 %{_libdir}/librpm*.la
1132 %{_includedir}/rpm
1133 %{_pkgconfigdir}/*.pc
1134
1135 %files static
1136 %defattr(644,root,root,755)
1137 %{_libdir}/librpm*.a
1138
1139 %files utils
1140 %defattr(644,root,root,755)
1141 %attr(755,root,root) %{_bindir}/rpmconstant
1142 %attr(755,root,root) %{_bindir}/rpm2cpio
1143 %attr(755,root,root) %{_rpmlibdir}/rpmcache
1144 %attr(755,root,root) %{_rpmlibdir}/rpmcmp
1145 %attr(755,root,root) %{_rpmlibdir}/rpmdeps
1146 %attr(755,root,root) %{_rpmlibdir}/debugedit
1147 %attr(755,root,root) %{_rpmlibdir}/rpmdigest
1148 %attr(755,root,root) %{_rpmlibdir}/find-debuginfo.sh
1149 %attr(755,root,root) %{_rpmlibdir}/tgpg
1150 %attr(755,root,root) %{_rpmlibdir}/rpmdb_loadcvt
1151 %{_mandir}/man8/rpm2cpio.8*
1152 %{_mandir}/man8/rpmcache.8*
1153 %{_mandir}/man8/rpmdeps.8*
1154 %lang(ja) %{_mandir}/ja/man8/rpm2cpio.8*
1155 %lang(ja) %{_mandir}/ja/man8/rpmcache.8*
1156 %lang(ko) %{_mandir}/ko/man8/rpm2cpio.8*
1157 %lang(pl) %{_mandir}/pl/man8/rpm2cpio.8*
1158 %lang(pl) %{_mandir}/pl/man8/rpmcache.8*
1159 %lang(pl) %{_mandir}/pl/man8/rpmdeps.8*
1160 %lang(ru) %{_mandir}/ru/man8/rpm2cpio.8*
1161
1162 %files utils-perl
1163 %defattr(644,root,root,755)
1164 %attr(755,root,root) %{_rpmlibdir}/rpmdiff*
1165
1166 %if %{with static}
1167 %files utils-static
1168 %defattr(644,root,root,755)
1169 %attr(755,root,root) %{_bindir}/rpm[ieu]
1170 %attr(755,root,root) %{_rpmlibdir}/rpm[ieu]
1171 %endif
1172
1173 %files build
1174 %defattr(644,root,root,755)
1175 %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/rpm/noauto*
1176 %attr(755,root,root) %{_rpmlibdir}/brp-*
1177 %attr(755,root,root) %{_rpmlibdir}/check-files
1178 # %attr(755,root,root) %{_rpmlibdir}/check-prereqs
1179 %attr(755,root,root) %{_rpmlibdir}/compress-doc
1180 #%attr(755,root,root) %{_rpmlibdir}/config.*
1181 %attr(755,root,root) %{_rpmlibdir}/cross-build
1182 %attr(755,root,root) %{_rpmlibdir}/find-spec-bcond
1183 %attr(755,root,root) %{_rpmlibdir}/getpo.sh
1184 %attr(755,root,root) %{_rpmlibdir}/install-build-tree
1185 %attr(755,root,root) %{_rpmlibdir}/mkinstalldirs
1186 %attr(755,root,root) %{_rpmlibdir}/u_pkg.sh
1187 %attr(755,root,root) %{_rpmlibdir}/executabledeps.sh
1188 %attr(755,root,root) %{_rpmlibdir}/libtooldeps.sh
1189 # needs hacked pkg-config to return anything
1190 %attr(755,root,root) %{_rpmlibdir}/pkgconfigdeps.sh
1191 #%attr(755,root,root) %{_rpmlibdir}/rpmb
1192 #%attr(755,root,root) %{_rpmlibdir}/rpmt
1193 %{_rpmlibdir}/noarch-*
1194 %ifarch %{ix86}
1195 %{_rpmlibdir}/i?86*
1196 %{_rpmlibdir}/pentium*
1197 %{_rpmlibdir}/athlon*
1198 %endif
1199 %ifarch alpha
1200 %{_rpmlibdir}/alpha*
1201 %endif
1202 %ifarch ia64
1203 %{_rpmlibdir}/ia64*
1204 %endif
1205 %ifarch mips mipsel mips64 mips64el
1206 %{_rpmlibdir}/mips*
1207 %endif
1208 %ifarch %{ppc}
1209 %{_rpmlibdir}/ppc*
1210 %endif
1211 %ifarch sparc sparc64
1212 %{_rpmlibdir}/sparc*
1213 %endif
1214 %ifarch %{x8664}
1215 %{_rpmlibdir}/amd64*
1216 %{_rpmlibdir}/ia32e*
1217 %{_rpmlibdir}/x86_64*
1218 %endif
1219 # must be here for "Requires: rpm-*prov" to work
1220 %{_rpmlibdir}/macros.java
1221 %{_rpmlibdir}/macros.mono
1222 %{_rpmlibdir}/macros.perl
1223 %{_rpmlibdir}/macros.php
1224 # not used yet ... these six depend on perl
1225 #%attr(755,root,root) %{_rpmlibdir}/http.req
1226 #%attr(755,root,root) %{_rpmlibdir}/magic.prov
1227 #%attr(755,root,root) %{_rpmlibdir}/magic.req
1228 #%{_rpmlibdir}/sql.prov
1229 #%{_rpmlibdir}/sql.req
1230 #%{_rpmlibdir}/tcl.req
1231
1232 %attr(755,root,root) %{_bindir}/gendiff
1233 %attr(755,root,root) %{_bindir}/rpmbuild
1234
1235 %{_mandir}/man1/gendiff.1*
1236 %{_mandir}/man8/rpmbuild.8*
1237 %lang(ja) %{_mandir}/ja/man8/rpmbuild.8*
1238 %lang(pl) %{_mandir}/pl/man1/gendiff.1*
1239 %lang(pl) %{_mandir}/pl/man8/rpmbuild.8*
1240
1241 %files javaprov
1242 %defattr(644,root,root,755)
1243 %attr(755,root,root) %{_rpmlibdir}/java-find-requires
1244 # needs jar (any jdk), jcf-dump (gcc-java) to work
1245 %attr(755,root,root) %{_rpmlibdir}/javadeps.sh
1246
1247 %files perlprov
1248 %defattr(644,root,root,755)
1249 %attr(755,root,root) %{_rpmlibdir}/perl.*
1250 #%attr(755,root,root) %{_rpmlibdir}/perldeps.pl
1251 #%attr(755,root,root) %{_rpmlibdir}/find-perl-*
1252 #%attr(755,root,root) %{_rpmlibdir}/find-*.perl
1253 #%attr(755,root,root) %{_rpmlibdir}/find-prov.pl
1254 #%attr(755,root,root) %{_rpmlibdir}/find-req.pl
1255 #%attr(755,root,root) %{_rpmlibdir}/get_magic.pl
1256
1257 %files pythonprov
1258 %defattr(644,root,root,755)
1259 %{_rpmlibdir}/macros.python
1260 %attr(755,root,root) %{_rpmlibdir}/pythondeps.sh
1261
1262 %files php-pearprov
1263 %defattr(644,root,root,755)
1264 %attr(755,root,root) %{_rpmlibdir}/php*
1265 %attr(755,root,root) %{_rpmlibdir}/find-php*
1266
1267 %if %{with python}
1268 %files -n python-rpm
1269 %defattr(644,root,root,755)
1270 %dir %{py_sitedir}/rpm
1271 %attr(755,root,root) %{py_sitedir}/rpm/*.so
1272 %{py_sitedir}/rpm/*.py[co]
1273 %endif
This page took 0.162665 seconds and 3 git commands to generate.